#ifndef TEXTQUERY_H
#define TEXTQUERY_H

#include <string>
#include <fstream>
#include <sstream>
#include <iostream>
using namespace std;
#include <cctype>

#include <vector>
#include <map>
#include <set>

class TextQuery
{
public:
    typedef std::vector<std::string>::size_type line_no;
    void read_file(ifstream &);
    void store_file(ifstream &);
	void build_map();
	void show_vec();
	void show_map();
	set<line_no> run_query(const string &query_word) const;
	void print_result(set<line_no>,const string &query_word);
	string TextQuery::cleanup_str(const string &word);

private:
    vector<string> lines_of_text;
    map< string,set<line_no> > word_map;

};

#endif // TEXTQUERY_H
