#include <iostream>
using namespace std;
#include "TextQuery.hpp"

ifstream& open_file(ifstream &in,const string &file);

int main(int argc,char **argv)
{
    ifstream infile;
    open_file(infile,"e://1.txt");

    TextQuery tq;
    tq.read_file(infile);
	//tq.show_vec();
	//tq.show_map();
	
	while(true)
	{
		cout<<"input a word"<<endl;
		string s;
		cin>>s;
		string ret;
		for(string::iterator it = s.begin();it != s.end();it++)
			ret += tolower(*it);
		s = ret;
		if ( s == "q" || s == "Q")
			break;
		set<TextQuery::line_no> locs;
		locs = tq.run_query(s);
		tq.print_result(locs,s);
	}
    return 0;
}
